.listpopupskeleton .skeleton-title,
.listpopupskeleton .skeleton-text,
.listpopupskeleton .skeleton-searchContainer {
    animation: skeleton-loading 1s linear infinite alternate;
}

@keyframes skeleton-loading {
    0% {
        background-color: rgb(230, 230, 230);
    }
    100% {
        background-color: rgb(245, 245, 245);
    }
}

.listpopupskeleton .skeleton-title {
    width: 100%;
    height: 30px;
    border-radius: 8px;
}

.listpopupskeleton .skeleton-text {
    width: 100%;
    height: 30px;
    border-radius: 8px;
}

.listpopupskeleton tr td:first-child .skeleton-text {
    width: 60px;
    height: 60px;
    border-radius: 50%;
}

.listpopupskeleton .skeleton-searchContainer {
    height: 36px;
    margin-bottom: 20px;
    border-radius: 8px;
}

.listpopupskeleton .table td {
    vertical-align: middle;
}

.listpopupskeleton .table .key {
    width: 10%;
}

/* Mobile */
@media (max-width: 768px) {
    .listpopupskeleton .tableRow {
        display: flex;
        align-items: center;
    }
    .listpopupskeleton td,
    .listpopupskeleton th {
        display: block !important;
        width: 100%;
        height: 70px;
        align-content: center;
    }
    /* To show middle cols in mobile size */
    /* .showCols td,
    .showCols  th {
        display: block;
    } */
    /* td.key,
    th.key {
        display: table-cell;
    } */
    .table td,
    .table th {
        padding: 0.25rem;
    }
    .listpopupskeleton .tableRow.header {
        display: none;
    }
}

/* iPad */
@media (min-width: 768px) and (max-width: 1024px) {
    .listpopupskeleton .tableRow {
        display: flex;
        align-items: center;
    }
    .listpopupskeleton td,
    .listpopupskeleton th {
        display: block !important;
        width: 100%;
        height: 70px;
        align-content: center;
    }
    /* To show middle cols in ipad size */
    /* .showCols td,
    .showCols th {
        display: block;
    } */
    /* td.key,
    th.key {
        display: table-cell;
    } */
    .table td,
    .table th {
        padding: 0.25rem;
    }
    .listpopupskeleton .tableRow.header {
        display: none;
    }
}

/* DARK MODE */
.dark .listpopupskeleton .skeleton-title,
.dark .listpopupskeleton .skeleton-text,
.dark .listpopupskeleton .skeleton-searchContainer {
    animation: skeleton-loading-dark 1s linear infinite alternate;
}

@keyframes skeleton-loading-dark {
    0% {
        background-color: rgba(255, 255, 255, 0.1);
    }
    100% {
        background-color: rgba(255, 255, 255, 0.2);
    }
}
